# EnableNetworkCom Method - neoVI API

**This function is deprecated. Use the EnableNetworkRXQueue method instead.**

**This method enables or disables all vehicle network rx data.**

{% tabs %}
{% tab title="C/C++ Declare" %}

```cpp
int _stdcall icsneoEnableNetworkCom(int hObject,int lEnable);
```

{% endtab %}

{% tab title="Visual Basic .NET Declare" %}

```vbnet
Public Declare Function icsneoEnableNetworkCom Lib “icsneo40.dll” (ByVal hObject As Integer, ByVal lEnable As Integer) As Integer
```

{% endtab %}

{% tab title="C# Declare" %}

```csharp
[DllImport(“icsneo40.dll”)] public static extern int icsneoEnableNetworkCom(int hObject, int lEnable);
```

{% endtab %}
{% endtabs %}

**Parameters**

lEnable

\[in] When 1 it will enable network receive. When 0 it will disable network receive.

**Return Values**

This function returns the 1 when successful. 0 if otherwise.

**Remarks**

This function will enable and disable network traffic for all client applications connected to the neoVI. The icsneoEnableNetworkRXQueue function can be used to enable and disable the receive message queue for individual applications.

### Examples

{% tabs %}
{% tab title="C/C++ Example" %}

```cpp
icsneoEnableNetworkCom(m_hObject,0);
```

{% endtab %}

{% tab title="Visual Basic .NET Example" %}

```vbnet
Call icsneoEnableNetworkCom(m_hObject, 0)
```

{% endtab %}

{% tab title="C# Example" %}

```csharp
icsNeoDll.icsneoEnableNetworkCom(m_hObject,0);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intrepidcs.com/neovi-api/win32-api-overview-intrepidcs-api/deprecated-functions-overview-intrepidcs-api/enablenetworkcom-method-intrepidcs-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
